Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.configuration
Class WPSDeegreeParams

    java.lang.Object
      org.deegree.enterprise.DeegreeParams
          org.deegree.ogcwebservices.wps.configuration.WPSDeegreeParams

All Implemented Interfaces:
  Serializable

    public class WPSDeegreeParams

extends DeegreeParams

WPSDeegreeParams.java Created on 08.03.2006. 18:40:24h

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Christian Kiehle, Christian Heier, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`WPSDeegreeParams(OnlineResource defaultOnlineResource, int cacheSize, int requestTimeLimit, String[] processDirectories, RequestQueueManager requestQueueManager)`

Method Summary
`String[]` | `getProcessDirectories()` Returns the resolved (absolute) process directory paths.
`RequestQueueManager` | `getRequestQueueManager()`

Methods inherited from class org.deegree.enterprise.DeegreeParams
`getCacheSize, getCharacterSet, getCharset, getDefaultOnlineResource, getRequestTimeLimit, setCacheSize, setCharacterSet, setDefaultOnlineResource, setRequestTimeLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WPSDeegreeParams

    public WPSDeegreeParams(OnlineResource defaultOnlineResource,
                            int cacheSize,
                            int requestTimeLimit,
                            String[] processDirectories,
                            RequestQueueManager requestQueueManager)

Parameters:
  `defaultOnlineResource` -
  `cacheSize` -
  `requestTimeLimit` -
  `processDirectories` -
  `requestQueueManager` -

Method Detail

### getProcessDirectories

    public String[] getProcessDirectories()

  Returns the resolved (absolute) process directory paths.

  Returns:
    the resolved (absolute) process directory paths

### getRequestQueueManager

    public RequestQueueManager getRequestQueueManager()

  Returns:
    requestQueueManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org